no sound hardy kernel 2.6.27.11-generic

Bug #200338 reported by bonsiware on 2008-03-09
542
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Critical
Ben Collins
linux-meta (Ubuntu)
Undecided
Unassigned
linux-ubuntu-modules-2.6.24 (Ubuntu)
Critical
Unassigned

Bug Description

Binary package hint: linux-image-2.6.24-12-generic

updated from kernel 2.6.24-11 to 2.6.24-12 brakes all sound! boot with the previous kernel, sound works!

The kernel is unable to insert any correctly compiled and installed alsa driver module. As a result, sound controls says there's no device to configure!

any Ubuntu Hardy updated... Thanks

Changed in linux:
status: New → Confirmed
Brian Curtis (bcurtiswx) wrote :

same here, this should go to critical priority, its a BAD thing right now, causes a lot of other program on my machine to crash.

Download full text (6.5 KiB)

I can confirm this problem. Sound with kernel 2.6.24-11-generic works, but it doesn't work in kernel 2.6.24-12-generic any more.

dmesg gives the following error messages regarding the modules for the sound card:

[ 41.323834] snd_hwdep: Unknown symbol snd_info_register
[ 41.323860] snd_hwdep: Unknown symbol snd_info_create_module_entry
[ 41.323885] snd_hwdep: Unknown symbol snd_ctl_unregister_ioctl_compat
[ 41.323909] snd_hwdep: Unknown symbol snd_info_free_entry
[ 41.323939] snd_hwdep: Unknown symbol snd_unregister_oss_device
[ 41.323967] snd_hwdep: Unknown symbol snd_verbose_printk
[ 41.323991] snd_hwdep: Unknown symbol snd_register_oss_device
[ 41.324017] snd_hwdep: Unknown symbol snd_ctl_register_ioctl
[ 41.324041] snd_hwdep: Unknown symbol snd_card_file_add
[ 41.324072] snd_hwdep: Unknown symbol snd_iprintf
[ 41.324096] snd_hwdep: Unknown symbol snd_major
[ 41.324130] snd_hwdep: Unknown symbol snd_unregister_device
[ 41.324156] snd_hwdep: Unknown symbol snd_device_new
[ 41.324189] snd_hwdep: Unknown symbol snd_ctl_unregister_ioctl
[ 41.324220] snd_hwdep: Unknown symbol snd_lookup_oss_minor_data
[ 41.324247] snd_hwdep: Unknown symbol snd_lookup_minor_data
[ 41.324272] snd_hwdep: Unknown symbol snd_ctl_register_ioctl_compat
[ 41.324298] snd_hwdep: Unknown symbol snd_card_file_remove
[ 41.324322] snd_hwdep: Unknown symbol snd_register_device_for_dev
[ 41.355939] snd_timer: Unknown symbol snd_info_register
[ 41.355966] snd_timer: Unknown symbol snd_info_create_module_entry
[ 41.355995] snd_timer: Unknown symbol snd_info_free_entry
[ 41.356045] snd_timer: Unknown symbol snd_verbose_printk
[ 41.356077] snd_timer: Unknown symbol snd_iprintf
[ 41.356115] snd_timer: Unknown symbol snd_ecards_limit
[ 41.356144] snd_timer: Unknown symbol snd_oss_info_register
[ 41.356168] snd_timer: Unknown symbol snd_unregister_device
[ 41.356198] snd_timer: Unknown symbol snd_device_new
[ 41.356259] snd_timer: Unknown symbol snd_register_device_for_dev
...
[ 41.502891] snd: Unknown symbol unregister_sound_special
[ 41.502981] snd: Unknown symbol register_sound_special_device
[ 41.503267] snd: Unknown symbol sound_class
...
[ 41.504126] snd_timer: Unknown symbol snd_info_register
[ 41.504152] snd_timer: Unknown symbol snd_info_create_module_entry
[ 41.504181] snd_timer: Unknown symbol snd_info_free_entry
[ 41.504231] snd_timer: Unknown symbol snd_verbose_printk
[ 41.504264] snd_timer: Unknown symbol snd_iprintf
[ 41.504302] snd_timer: Unknown symbol snd_ecards_limit
[ 41.504331] snd_timer: Unknown symbol snd_oss_info_register
[ 41.504356] snd_timer: Unknown symbol snd_unregister_device
[ 41.504386] snd_timer: Unknown symbol snd_device_new
[ 41.504447] snd_timer: Unknown symbol snd_register_device_for_dev
[ 41.520860] snd_pcm: Unknown symbol snd_info_register
[ 41.520888] snd_pcm: Unknown symbol snd_info_create_module_entry
[ 41.520913] snd_pcm: Unknown symbol snd_ctl_unregister_ioctl_compat
[ 41.520961] snd_pcm: Unknown symbol snd_timer_notify
[ 41.520994] snd_pcm: Unknown symbol snd_timer_interrupt
[ 41.521018] snd_pcm: Unknown symbol snd_info_free_entry
[ 41.521043...

Read more...

Changed in linux-ubuntu-modules-2.6.24:
status: New → Confirmed
iobelisk (iobelix) wrote :

hi, just wanted to add: same problem here. sound is pretty broke with 2.6.24.12, worked beautifully with *.11 though.

NilsE (nekberg) wrote :

Just updated from -11 to -12 and have the same problem.

lod (altoas) wrote :

my laptop is MSI ER710, and got no sound with 2.6.24-12, part of the dmesg:
[ 33.203190] ALSA /build/buildd/linux-ubuntu-modules-2.6.24-2.6.24/debian/build/build-generic/sound/alsa-driver/pci/hda/../../alsa-kernel/pci/hda/hda_intel.c:596: hda_intel: azx_get_response timeout, switching to polling mode: last cmd=0x000f0000

exploder (dcosner) wrote :

I can confirm the bug also. VIA Vinal 97 sound will not work with the 2.6.24-12 kernel.

Thomas Heidrich (gnuheidix) wrote :

I'm having the same problem on my Acer Extensa 5220.

dentaku65 (dentaku65) wrote :

2.6.24-12-386 kernel update kills my sound too

Daniel T Chen (crimsun) on 2008-03-09
Changed in linux:
status: Confirmed → Invalid
Changed in linux-meta:
status: New → Invalid
pheeror (pheeror) wrote :

same here ;-)

Vojta Grec (vojtagrec) wrote :

Confirming this bug on my Compaq Evo n400c notebook with ESS Technology ES1988 Allegro-1 (rev 12) soundcard. There are many "Unknown symbol" lines in dmesg concerning various snd* modules.

Flávio Martins (xhaker) wrote :

This seems to be a Beta blocker.
Milestoning and setting Critical priority.

Changed in linux-ubuntu-modules-2.6.24:
importance: Undecided → Critical
milestone: none → ubuntu-8.04-beta
Pedro Fragoso (ember) wrote :

SND_PROCFS and SND_INTEL8 is missing here too.

Maletherin (jason-rpg-lore) wrote :

Same here. My soundblaster isn't noticed. Oddly it works when I switch back a kernel.

Dana_r (danarea) wrote :

Same here for upgrade from 2.6.24-11 to 2.6.24-12. I have the HDA Intel controller, which was also had a patch in the last recent alsa update.

lscpi output:
00:00.0 RAM memory: nVidia Corporation MCP61 Memory Controller (rev a1)
00:01.0 ISA bridge: nVidia Corporation MCP61 LPC Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation MCP61 SMBus (rev a2)
00:01.2 RAM memory: nVidia Corporation MCP61 Memory Controller (rev a2)
00:01.3 Co-processor: nVidia Corporation MCP61 SMU (rev a2)
00:02.0 USB Controller: nVidia Corporation MCP61 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation MCP61 USB Controller (rev a2)
00:04.0 PCI bridge: nVidia Corporation MCP61 PCI bridge (rev a1)
00:05.0 Audio device: nVidia Corporation MCP61 High Definition Audio (rev a2)
00:06.0 IDE interface: nVidia Corporation MCP61 IDE (rev a2)
00:07.0 Bridge: nVidia Corporation MCP61 Ethernet (rev a2)
00:08.0 IDE interface: nVidia Corporation MCP61 SATA Controller (rev a2)
00:08.1 IDE interface: nVidia Corporation MCP61 SATA Controller (rev a2)
00:09.0 PCI bridge: nVidia Corporation MCP61 PCI Express bridge (rev a2)
00:0b.0 PCI bridge: nVidia Corporation MCP61 PCI Express bridge (rev a2)
00:0c.0 PCI bridge: nVidia Corporation MCP61 PCI Express bridge (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
02:00.0 VGA compatible controller: nVidia Corporation G71 [GeForce 7900 GS] (rev a1)

Dana_r (danarea) wrote :

Also, modprobe output:
FATAL: Error inserting snd (/lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/acore/snd.ko): Unknown symbol in module, or unknown parameter (see dmesg)
WARNING: Error running install command for snd
WARNING: Error inserting snd_hwdep (/lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/acore/snd-hwdep.ko): Unknown symbol in module, or unknown parameter (see dmesg)
WARNING: Error inserting snd_timer (/lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/acore/snd-timer.ko): Unknown symbol in module, or unknown parameter (see dmesg)
FATAL: Error inserting snd (/lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/acore/snd.ko): Unknown symbol in module, or unknown parameter (see dmesg)
WARNING: Error running install command for snd
WARNING: Error inserting snd_timer (/lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/acore/snd-timer.ko): Unknown symbol in module, or unknown parameter (see dmesg)
FATAL: Error inserting snd_pcm (/lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/acore/snd-pcm.ko): Unknown symbol in module, or unknown parameter (see dmesg)
WARNING: Error running install command for snd_pcm
FATAL: Error inserting snd_hda_intel (/lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/pci/hda/snd-hda-intel.ko): Unknown symbol in module, or unknown parameter (see dmesg)

darx (rabidphage) wrote :
Download full text (4.9 KiB)

Same here Acer aspire 1652 wlmi

lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root Port (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 (rev 04)
00:1c.1 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 2 (rev 04)
00:1c.2 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 3 (rev 04)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 04)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 04)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 04)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 (rev 04)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 04)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d4)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 04)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller (rev 04)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 04)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller (rev 04)
01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Mobility Radeon X300]
06:01.0 CardBus bridge: Texas Instruments PCIxx21/x515 Cardbus Controller
06:03.0 Network controller: Intel Corporation PRO/Wireless 2200BG Network Connection (rev 05)
06:08.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T (rev 02)

lsmod
Module Size Used by
arc4 2944 2
ecb 4480 2
blkcipher 8324 1 ecb
ieee80211_crypt_wep 6272 1
af_packet 23812 4
binfmt_misc 12808 1
radeon 124192 2
drm 82452 3 radeon
nfsd 228848 13
auth_rpcgss 43424 1 nfsd
exportfs 6016 1 nfsd
ipv6 267780 10
speedstep_centrino 9152 0
cpufreq_ondemand 9740 1
cpufreq_conservative 8712 0
cpufreq_stats 7104 0
freq_table 5536 3 speedstep_centrino,cpufreq_ondemand,cpufreq_stats
cpufreq_userspace 5284 0
cpufreq_powersave 2688 0
sbs 15112 0
sbshc 7680 1 sbs
bay 6912 0
dock 11280 1 bay
nfs 262540 0
lockd 67720 3 nfsd,nfs
nfs_acl 4608 2 nfsd,nfs
sunrpc 185884 11 nfsd,auth_rpcgss,nfs,lockd,nfs_acl
iptable_filter 3840 0
ip_tables 14820 1 iptable_filter
x_tables 16132 1 ip_tables
parport_pc 36260 0
lp 12...

Read more...

mattismyname (mattismyname) wrote :

There are massive diffs between the -11 .config and the -12 .config (see attached diff). Most notable, a big chunk of sound stuff is gone.

[code]tkdiff /usr/src/linux-headers-2.6.24-11-generic/.config /usr/src/linux-headers-2.6.24-12-generic/.config[\code]

Vince N (libertyshadow) wrote :

Confirmed on SigmaTel, lost sound one update from 2.6.24-11 to 2.6.24-12

cestuila (cestuila) wrote :

Same thing here...no sound with hda-intel (xfx 780i mobo)

Jonas Thorell (jthorell) wrote :

Bug report #200354 is also a duplicate (unfortunately filed by me). I can still boot into -11, but for some reason I have been unable to figure out dcopserver is broken when booting into the earlier kernel. That is, I either get sound or functional KDE 3.x apps but not both.

Supreme1012 (bs101286) wrote :

sound works when booting into -11. sound doesnt work at all when in -12. says problem with volume control gstreamer.

heres a link to my mobo if that info helps.
http://www.gigabyte.us/Support/Motherboard/BIOS_Model.aspx?ProductID=2547

no extra sound cards

Jery Wang (jery-wang2002) wrote :

same here, no sound after upgrading to 2.6.24-12 - i386 kernel

Dell Inspiron 1520

HDA Intel

rrr0321 (rrroszak) wrote :

Same here, sound with 11 worked fine, Dell Dimension E521, Nvidia sound card.
lsmod
Module Size Used by
af_packet 23812 2
binfmt_misc 12808 1
ipv6 267780 14
tun 12672 0
ppdev 10372 0
powernow_k8 16704 0
cpufreq_conservative 8712 0
cpufreq_ondemand 9740 1
cpufreq_userspace 5284 0
cpufreq_stats 7104 0
freq_table 5536 3 powernow_k8,cpufreq_ondemand,cpufreq_stats
cpufreq_powersave 2688 0
ac 6916 0
sbs 15112 0
sbshc 7680 1 sbs
container 5632 0
video 20112 0
output 4736 1 video
dock 11280 0
battery 14212 0
xt_limit 3584 3
ipt_addrtype 2816 3
xt_state 3328 2
xt_tcpudp 4096 1
ipt_LOG 7296 4
nf_conntrack_ipv4 19080 5
xt_conntrack 3712 3
nf_nat_irc 3712 0
nf_conntrack_irc 7576 1 nf_nat_irc
nf_nat_ftp 4352 0
nf_nat 20396 2 nf_nat_irc,nf_nat_ftp
nf_conntrack_ftp 10144 1 nf_nat_ftp
nf_conntrack 66752 8 xt_state,nf_conntrack_ipv4,xt_conntrack,nf_nat_irc,nf_conntrack_irc,nf_nat_ftp,nf_nat,nf_conntrack_ftp
iptable_filter 3840 1
ip_tables 14820 1 iptable_filter
x_tables 16132 7 xt_limit,ipt_addrtype,xt_state,xt_tcpudp,ipt_LOG,xt_conntrack,ip_tables
parport_pc 36260 0
lp 12324 0
parport 37832 3 ppdev,parport_pc,lp
psmouse 40336 0
serio_raw 7940 0
nvidia 7825408 34
button 9232 0
snd_page_alloc 11400 0
shpchp 34452 0
evdev 13056 3
k8temp 6656 0
i2c_nforce2 7680 0
i2c_core 24832 2 nvidia,i2c_nforce2
dcdbas 9504 0
pci_hotplug 30880 1 shpchp
agpgart 34760 1 nvidia
pcspkr 4224 0
ext3 136712 1
jbd 48404 1 ext3
mbcache 9600 1 ext3
sg 36880 0
sr_mod 17956 0
cdrom 37408 1 sr_mod
sd_mod 30720 4
ata_generic 8324 0
usbhid 31872 0
hid 38784 1 usbhid
sata_nv 27528 3
b44 28432 0
pata_acpi 8320 0
ssb 32772 1 b44
mii 6400 1 b44
ehci_hcd 37516 0
ohci_hcd 25348 0
libata 159344 3 ata_generic,sata_nv,pata_acpi
scsi_mod 151436 4 sg,sr_mod,sd_mod,libata
usbcore 146028 4 usbhid,ehci_hcd,ohci_hcd
thermal 16796 0
processor 36872 2 powernow_k8,thermal
fan 5636 0
fuse 50580 3

sonmez (sonmezsahut) wrote :

I can confirm That i am having the same problem on system76 Daru2.
Here is the output of lspci
$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Contoller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
01:04.0 FLASH memory: ENE Technology Inc ENE PCI Memory Stick Card Reader Controller
01:04.1 SD Host controller: ENE Technology Inc ENE PCI SmartMedia / xD Card Reader Controller
01:04.2 FLASH memory: ENE Technology Inc Unknown device 0720
01:04.3 FLASH memory: ENE Technology Inc ENE PCI Secure Digital / MMC Card Reader Controller
02:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

Mr.UNOwen (jerry-comp) wrote :

Same here after running update manager. Hope this is fixed soon.

As we all can see by the status of this bug at the top of the page, this is a well confirmed bug and does not need any more people to reply with simple confirmations.

Please, do not post simple confirmation messages, this only spams the list.

But, if you feel your information would be beneficial for solving this problem quicker, by all means, post it.

moa3333 (moa3333) wrote :

same on amd64:

more info:

# modprobe snd-usb-audio
FATAL: Error inserting snd (/lib/modules/2.6.24-12-generic/updates/alsa/acore/snd.ko): Unknown symbol in module, or unknown parameter (see dmesg)
WARNING: Error running install command for snd
WARNING: Error inserting snd_hwdep (/lib/modules/2.6.24-12-generic/updates/alsa/acore/snd-hwdep.ko): Unknown symbol in module, or unknown parameter (see dmesg)
WARNING: Error inserting snd_seq_device (/lib/modules/2.6.24-12-generic/updates/alsa/acore/seq/snd-seq-device.ko): Unknown symbol in module, or unknown parameter (see dmesg)
FATAL: Error inserting snd (/lib/modules/2.6.24-12-generic/updates/alsa/acore/snd.ko): Unknown symbol in module, or unknown parameter (see dmesg)
WARNING: Error running install command for snd
WARNING: Error inserting snd_seq_device (/lib/modules/2.6.24-12-generic/updates/alsa/acore/seq/snd-seq-device.ko): Unknown symbol in module, or unknown parameter (see dmesg)
FATAL: Error inserting snd_rawmidi (/lib/modules/2.6.24-12-generic/updates/alsa/acore/snd-rawmidi.ko): Unknown symbol in module, or unknown parameter (see dmesg)
WARNING: Error running install command for snd_rawmidi
WARNING: Error inserting snd_usb_lib (/lib/modules/2.6.24-12-generic/updates/alsa/usb/snd-usb-lib.ko): Unknown symbol in module, or unknown parameter (see dmesg)
WARNING: Error inserting snd_timer (/lib/modules/2.6.24-12-generic/updates/alsa/acore/snd-timer.ko): Unknown symbol in module, or unknown parameter (see dmesg)
FATAL: Error inserting snd (/lib/modules/2.6.24-12-generic/updates/alsa/acore/snd.ko): Unknown symbol in module, or unknown parameter (see dmesg)
WARNING: Error running install command for snd
WARNING: Error inserting snd_timer (/lib/modules/2.6.24-12-generic/updates/alsa/acore/snd-timer.ko): Unknown symbol in module, or unknown parameter (see dmesg)
FATAL: Error inserting snd_pcm (/lib/modules/2.6.24-12-generic/updates/alsa/acore/snd-pcm.ko): Unknown symbol in module, or unknown parameter (see dmesg)
WARNING: Error running install command for snd_pcm
FATAL: Error inserting snd_usb_audio (/lib/modules/2.6.24-12-generic/updates/alsa/usb/snd-usb-audio.ko): Unknown symbol in module, or unknown parameter (see dmesg)

Mr.UNOwen (jerry-comp) wrote :

Can someone tell how I can go back to the former version?

moa3333 (moa3333) wrote :

update: i have installed alsa with drivers from the alsa web site. The probem persists after sucessfull install, so its not a alsa problem but a kernel problem.

now i am back to ubuntu packages of alsa, still no sound.

Changed in linux:
status: Invalid → Confirmed
status: Confirmed → Invalid
moa3333 (moa3333) on 2008-03-10
description: updated
mafix (mafix) wrote :

same on my thinkpad t61p

audio dev:
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

tech0007 (tech0007) wrote :

same here, i have via chipset. i removed 2.6.24-12 and put 2.6.24-11 back. sound returned.

sancheztavo (sancheztavo) wrote :

module "soundcore" does not exist in 2.6.24-12, but it does exist in 2.6.24-11. And it seems to be needed to load module "snd"

Just signing on to say "me, too" with an intel965 chipset.

Ed G. (zrchrn) wrote :

this is also an issue on my Dell Inspiron 640m with intel sound card.

iKs (iks279) wrote :

I confirm that bug once more (using hda-intel).

Toten Maske (totenmaske0) wrote :

System Specs:
ASUS A8N-SLI Premium
Athlon 64 X2 Dual-Core 4800
3GB RAM
2x250GB SATA 3.0 Hard Drives
8800GTX EVGA Video Card
Sound Blaster Audigy 2 ZS

No Sound Device present in this kernal.
Attachment is dmesg log

Ryan Davies (iownsu) wrote :

I Get this bug also

ryan@RPC:~$ lspci | grep audio
00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio Controller (rev a2)

Andreas Schröder (mangkorn) wrote :

Same thing here no sound on kernel -12 but 11 still works fine

Bradley (br1179) wrote :

Same here. Sound worked better than ever with -11. No sound in -12.

(Apple MacBook Pro, 2nd gen.)

lod (altoas) wrote :

when loading snd (modprobe snd) in 2.6.24-12:
[ 102.804679] snd: Unknown symbol unregister_sound_special
[ 102.804846] snd: Unknown symbol register_sound_special_device
[ 102.805201] snd: Unknown symbol sound_class

FATAL: Error inserting snd (/lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/acore/snd.ko): Unknown symbol in module, or unknown parameter (see dmesg)
FATAL: Error running install command for snd

Changed in linux-ubuntu-modules-2.6.24:
status: Confirmed → Invalid
Changed in linux:
assignee: nobody → ben-collins
importance: Undecided → Critical
milestone: none → ubuntu-8.04-beta
status: Invalid → Fix Committed
Changed in linux:
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2008-03-13
Changed in linux-ubuntu-modules-2.6.24:
milestone: ubuntu-8.04-beta → none
88 comments hidden view all 168 comments

No sound on my laptop after latest updates. It worked before Eastern.

Asustek M6VA is my laptop and I'm using kdm as window manager.

Hi Guys
Today, after a Manual re-install of 8.04 Beta from scratch,
it offered x164 Updates rather than Sunday's x52 Updates
and they must be better coded, because most of my problems
have vanished, so try a fresh install !
(The new MacSlow Analog clock is great.)
----- Original Message -----
From: "mattikoo" <email address hidden>
To: <email address hidden>
Sent: Tuesday, March 25, 2008 6:40 PM
Subject: [Bug 200338] Re: no sound hardy kernel 2.6.24-12

No sound on my laptop after latest updates. It worked before Eastern.

--
no sound hardy kernel 2.6.24-12
https://bugs.launchpad.net/bugs/200338
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Is the fresh install really the solution? Could somebody confirm?

Omar Abdel-Wahab (owahab) wrote :

Got it to work!
I have upgraded to 8.04 since Alpha 1.
When I linux-image-2.6.24-12-generic was installed, sound stopped working. Tried so many ideas but none worked.
Bruce's comment (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/200338/comments/131) made me try this:
# apt-get remove --purge linux-backports-modules-2.6.24-12-generic linux-restricted-modules-2.6.24-12-generic linux-ubuntu-modules-2.6.24-12-generic linux-image-2.6.24-12-generic
Apt couldn't rm -r the /lib/modules/2.6.24-12-generic so I did:
# rm -rf /lib/modules/2.6.24-12-generic
Then:
# apt-get install linux-backports-modules-2.6.24-12-generic linux-restricted-modules-2.6.24-12-generic linux-ubuntu-modules-2.6.24-12-generic linux-image-2.6.24-12-generic
# depmod -a
Reboot.
Sound works.

I've tried the solution proposed by Giovanni Mellini

$ sudo apt-get install linux-ubuntu-modules-2.6.24-12-386
> and restart the system

now the volume control is "cosmetically" working but still no sound from my
speakers!

IdleOne (idleone) wrote :

installed linux-image-2.6.24-12-generic.

Sound now works

Made new installation today, now with Ubuntu Studio 8.04 beta. Only thing left from previous installation was the home directory. RE-INSTALLATION MADE ABSOLUTELY NO DIFFERENCE!!! Still no sound in any applications. Only available sound is the test sound for "ICE1712 multi" in "system > preferences > sound". I have amd64 btw.

THERE IS NO POINT KEEP ADDING TO THIS BUG.

This bug is fixed, and was a specific problem with a version of the kernel.
Any other sound problems belong in their own bugs, nobody will notice any
here as it is fixed.

Bruce R (bm007a0030) wrote :

Hi guys
Having exchanged some thoughts with others, it's all
probably down to the new kernel/hardware interface
I am using a Gigabye G31MX-S2 board/F4 BIOS
with Realtek HD sound, hosting an E2160 CPU,
probably the most critical elements for sound.
However I am still experiencing some Exaile/Kaffeine
conflict, which does not not happen with Ubuntu 7.10

----- Original Message -----
From: "raulih" <email address hidden>
To: <email address hidden>
Sent: Wednesday, March 26, 2008 4:29 PM
Subject: [Bug 200338] Re: no sound hardy kernel 2.6.24-12

Made new installation today, now with Ubuntu Studio 8.04 beta. Only
thing left from previous installation was the home directory. RE-
INSTALLATION MADE ABSOLUTELY NO DIFFERENCE!!! Still no sound in any
applications. Only available sound is the test sound for "ICE1712 multi"
in "system > preferences > sound". I have amd64 btw.

--
no sound hardy kernel 2.6.24-12
https://bugs.launchpad.net/bugs/200338
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Let's put them here then:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/207226

Caroline Ford wrote:
> THERE IS NO POINT KEEP ADDING TO THIS BUG.
>
> This bug is fixed, and was a specific problem with a version of the kernel.
> Any other sound problems belong in their own bugs, nobody will notice any
> here as it is fixed.
>

Caroline Ford (secretlondon) wrote :

Separate bugs please. You'll all have different hardware.

Download full text (17.5 KiB)

Still broken in the latest updates...

root@dell-desktop:~# uname -a
Linux dell-desktop 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux
root@dell-desktop:~# alsamixer

alsamixer: function snd_ctl_open failed for default: No such file or directory
root@dell-desktop:~# lshw
dell-desktop
    description: Portable Computer
    product: Inspiron 1525
    vendor: Dell Inc.
    serial: 4CGL1G1
    width: 32 bits
    capabilities: smbios-2.4 dmi-2.4
    configuration: boot=normal chassis=portable uuid=44454C4C-4300-1047-804C-B4C04F314731
  *-core
       description: Motherboard
       product: 0U990C
       vendor: Dell Inc.
       physical id: 0
       serial: .4CGL1G1.CN7016683L0GSE.
     *-firmware
          description: BIOS
          vendor: Dell Inc.
          physical id: 0
          version: A11 (03/10/2008)
          size: 64KiB
          capacity: 1984KiB
          capabilities: isa pci pcmcia pnp upgrade shadowing cdboot bootselect int13floppy720 int5printscreen int9keyboard int14serial int17printer int10video acpi usb agp smartbattery biosbootspecification netboot
     *-cpu
          description: CPU
          product: Intel(R) Core(TM)2 Duo CPU T7250 @ 2.00GHz
          vendor: Intel Corp.
          physical id: 400
          bus info: cpu@0
          version: 6.15.13
          serial: 0000-06FD-0000-0000-0000-0000
          slot: Microprocessor
          size: 2001MHz
          capacity: 2001MHz
          width: 64 bits
          clock: 200MHz
          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe x86-64 constant_tsc arch_perfmon pebs bts pni monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm ida nx cpufreq
          configuration: id=1
        *-cache:0
             description: L1 cache
             physical id: 700
             size: 32KiB
             capacity: 32KiB
             capabilities: internal write-back data
        *-cache:1
             description: L2 cache
             physical id: 701
             size: 2MiB
             capacity: 2MiB
             clock: 66MHz (15.0ns)
             capabilities: pipeline-burst internal varies unified
        *-logicalcpu:0
             description: Logical CPU
             physical id: 1.1
             width: 64 bits
             capabilities: logical
        *-logicalcpu:1
             description: Logical CPU
             physical id: 1.2
             width: 64 bits
             capabilities: logical
     *-memory
          description: System Memory
          physical id: 1000
          slot: System board or motherboard
          size: 4GiB
        *-bank:0
             description: DIMM DDR Synchronous 667 MHz (1.5 ns)
             product: HYMP125S64CP8-Y5
             vendor: AD00000000000000
             physical id: 0
             serial: 00006143
             slot: DIMM_A
             size: 2GiB
             width: 64 bits
             clock: 667MHz (1.5ns)
        *-bank:1
             description: DIMM DDR Synchronous
             vendor: FFFFFFFFFFFFFFFF
             physical id: 1
             serial: FFFFFFFF
             sl...

wilfred (wilfredlams) wrote :

Same here, sound is not working in new kernel

Fuat Geleri (fuatgeleri) wrote :

I just upgrade to Ubuntu Hardy, and sound gone off. Then I installed alsamixergui, and I saw that sound is muted. It was not shown on console version of alsamixer. The problem was that, the main channel is muted. I unmute it, and worked.

liam (liamr1) wrote :

I have the same problem as above-zero sound.

csi53801 (charles-sialve) wrote :

I just upgrade to Hardy and I have no sound too
IBM Thinkpad X31

ubby (kostas-sytske) wrote :

I also have no sound and still don't know a solution.

pfoff (ubuntu-fof) wrote :

No sound here, neither....
Kubuntu hardy on Thinkpad T61p, hardware onfos attached.
Tried all fixes, I found. Gonna try if etch worx....

pfoff (ubuntu-fof) wrote :

Oops hw infos....

Riddic (jfeurich) wrote :

This is probably obvious, but make sure you have the "restricted" module packages installed, i.e.
 'linux-restricted-modules-2.6.24-16-generic'
 'linux-restricted-modules-common'
 'linux-ubuntu-modules-2.6.24-16-generic'
 'linux-generic'
That should take care of pretty much everything.

Joe Baldwin (joseph-baldwin) wrote :

^agreed mine was missing the linux-ubuntu-modules 2.6.24-19 generic package. Installed and now everything is fine.

leo (leofishman-gmail) wrote :

I have the linux-ubuntu-modules 2.6.24-19 generic package and still doesn't work.
It did work with some previous modules like the linux-ubuntu-modules 2.6.24-16
but after the upgrade stoped working again.
May it be a conflict with VirtualBox?

Arnaud Jeansen (ajeans) wrote :

It seems that for some Dell hardware, snd-hda-intel.ko is modified to accomodate hsfmodem. This broke sound for me on an Inspiron 1525 for the Intel soundcard.

If you have the following file "/lib/modules/2.6.24-XX-generic/ubuntu/sound/alsa-driver/pci/hda/snd-hda-intel.ko.REPLACEDBYhsfmodem" AND suffer from this problem, go to the following page

http://linux.dell.com/wiki/index.php/Ubuntu_8.04/Issues/No_Sound_After_Distribution_Or_Kernel_Upgrade

This solved my sound problem on recent kernels.

leo (leofishman-gmail) wrote :

Hi Arnaud,

I don't have a dell computer neither that file renamed.
Now I use the 2.6.24.14 kernel and the sound works fine.
Maybe I should make a clean install, since I have upgrated form the 7.10

Arnaud Jeansen (ajeans) wrote :

@Leo: May I suggest the following?
- Authorize the hardy-proposed channel and install the 2.6.24.20 kernel and the related 2.6.24.20 modules. It will create a new module directory for this kernel (differnent from the .19 one). If your problem comes from something gone wrong when upgrading gutsy to hardy, this may solve your problem.
OR
- Download the Hardy Live CD, and boot on it to see if you get sound. If it does, a clean install is your best shot.

As for your previous comment, I have the virtualbox kernel module installed and it works for me.

Good luck.

leo (leofishman-gmail) wrote :

Upgraded to 24-20 and still the same...
I'll keep using the 24-14 for a few more days and then I'll make a fresh install.

Thanks a lot

leo (leofishman-gmail) wrote :

I just upgraded to 24.21 and the sounds work again :)
Thanks

khiraly (khiraly123) wrote :

It breaks for me on ubuntu 8.10-alpha6.

If I kill pulseaudio, it works again. I tried reinstalling pulseaudio (suggested in another bugreport), but didnt worked.

My device:
00:06.0 Multimedia audio controller [0401]: nVidia Corporation nForce3 Audio [10de:00da] (rev a2)
 Subsystem: Hewlett-Packard Company Device [103c:006d]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0 (500ns min, 1250ns max)
 Interrupt: pin A routed to IRQ 21
 Region 0: I/O ports at 1400 [size=256]
 Region 1: I/O ports at 1c00 [size=128]
 Region 2: Memory at e8002000 (32-bit, non-prefetchable) [size=4K]
 Capabilities: [44] Power Management version 2
  Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Kernel driver in use: Intel ICH
 Kernel modules: snd-intel8x0

khiraly (khiraly123) wrote :

Forgotten my kernel version:

uname -a
Linux buza 2.6.27-4-generic #1 SMP Wed Sep 24 01:30:51 UTC 2008 i686 GNU/Linux

x (xk2c-deactivatedaccount) wrote :

@khiraly: This seems to be an other issue then what this bugreport is about. Please open up a new one.

Everthon Valadão (valadao) wrote :

Same here, BUT here's a quick FIX:

sudo killall pulseaudio
sudo alsa force-reload

and them go to System>Preferences>Sound and change everything to ALSA

;-)

P.S.: PulseAudio sucks!

crtlbreak (hauptfleisch) wrote :

hmmm ...

user@ubuntu:~$ lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)

The sound worked on a new installation of 8.04 - then crapped out immediately after Virtualbox ose-modules were installed. Still wrestling on the restoration of audio but it is definitely the Virtualbox module that caused the problem.

regards
crtlbreak

I agree, had the same issue.
Try to upgrade the kernel, it should work fine.

On Thu, Nov 6, 2008 at 7:28 AM, crtlbreak <email address hidden>wrote:

> hmmm ...
>
> user@ubuntu:~$ lspci | grep Audio
> 00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High
> Definition Audio Controller (rev 01)
>
> The sound worked on a new installation of 8.04 - then crapped out
> immediately after Virtualbox ose-modules were installed. Still wrestling
> on the restoration of audio but it is definitely the Virtualbox module
> that caused the problem.
>
> regards
> crtlbreak
>
> --
> no sound hardy kernel 2.6.24-12
> https://bugs.launchpad.net/bugs/200338
> You received this bug notification because you are a direct subscriber
> of the bug.
>

thank you leo
but i have the latest kernel for 8.04 - it was after the Virtualbox ose-modules were installed that the problem started.

user@ubuntu:~$ uname -a
Linux ubuntu 2.6.24-21-386 #1 Tue Oct 21 23:10:03 UTC 2008 i686 GNU/Linux
regards
crtlbreak

anagor (anagor) wrote :

ctrlbreak,
Have you tried uninstalling virtualbox modules to see if sound comes back?
If this is the case indeed, can you attach here the dmesg without the virtualbox modules, when the sound is working and with the virtualbox modules, when the sound isn't working?

crtlbreak (hauptfleisch) wrote :

apologies anagor for the delayed response - it has been a hellova week for me - the sound issue was way down on the agenda.
I have uninstalled the vitualbox-ose modules and after a reboot it has not solved the problem.

The sound does however return when I boot with "Ubuntu 8.04.1, kernel 2.6.24-21-generic"
on grub boot options as opposed to the current "Ubuntu 8.04.1, kernel 2.6.24-21-386" where the sound does not work. I have posted both dmesg as attachments

Now I know the short term fix to that one (just boot with the working kernel) but that is the sole reason yourself and most of us are registered users and take part in this whole exercise - we would not simply accept the temp fix as a final solution - we need to get to the bottom of it, right?

I have attached my dmesg - within the test file are two sections - NOSOUND and SOUNDWORKING
Regards
crtlbreak

anagor (anagor) wrote :

I can't say anything from the dmesg, since no sound/alsa drivers are loaded in kernel, only in userspace, but if I remember correctly the ubuntu kernels are all generic for some time now, so the 64bit and 386 should be the same.
Therefore the question is why do you need the 386 kernel?
And your issue is probably the alsa drivers failing because they think the aren't compatible with 386 kernel.

Guillaume (guillaume-henin) wrote :

This is not a bug for Dell Installs (and I think for other OEM installs). Maybe somebody should filter out comments reporting bug on OEM or modified installs (i.e. modules package not from ubuntu repos) and take in account only bugs occuring on pure ubuntu install.

On Dell Laptops, if you have modem support your modules comes from Dell ppa. If you want modem *and* sound working together you must stay with Dell ppa packages. Maybe you should stick the modules package version to Dell ppa repos.

user@dell-laptop:~$ sudo apt-cache policy linux-ubuntu-modules-2.6.24-23-generic
linux-ubuntu-modules-2.6.24-23-generic:
  Installé : 2.6.24-23.37Dell1
  Candidat : 2.6.24-23.37Dell1
 Table de version :
 *** 2.6.24-23.37Dell1 0
        500 http://ppa.launchpad.net hardy/main Packages
        100 /var/lib/dpkg/status
     2.6.24-23.37 0
        500 http://ftp.crihan.fr hardy-updates/main Packages
        500 http://ftp.crihan.fr hardy-security/main Packages

user@dell-laptop:~$ sudo apt-cache policy linux-ubuntu-modules-2.6.24-24-generic
linux-ubuntu-modules-2.6.24-24-generic:
  Installé : 2.6.24-24.39
  Candidat : 2.6.24-24.39
 Table de version :
 *** 2.6.24-24.39 0
        500 http://ftp.crihan.fr hardy-updates/main Packages
        100 /var/lib/dpkg/status

As you can see, there is no Dell version of 2.6.24-24, so sound is broken when you update because you get package from ubuntu updates.

Remember : internal modems and sound chips are tied in hardware, so OEMs had to adapt sound modules to get modem working properly.

Displaying first 40 and last 40 comments. View all 168 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions